import request from "@/request/index";

export function GetSelectInfo(type) {
    return request({
        url: 'DigitalTwin/businessManage/getCenterPortCompanyAndLandInfo',
        method: "post"
    })
}





export function GetLDInfo(name) {
    return request({
        url: '/DigitalTwain/PassengerTraffic/getBerthFlux',
        method: "post",
        data: {
            berthName:name
        },
    })
}



export function GetWeather() {
  return request({
      url: '/weather/GetTodayWeather',
      method: "post",
  })
}

export function GetBoatInfo(mmsi, type=null) {
  let prefix = ''
  if(type==='HSX') {
    prefix = 'https://10.83.240.193:8090/ghjgWebServiceTest'
  }
  return request({
      url: prefix + '/DigitalTwain/boat/GetBoatPanelInfo',
      method: "post",
      data: {
        mmsi,
        type
      },
  })
}

export function GetBoatInfoByEventCode(eventCode) {
  return request({
      url: 'https://10.83.240.193:8090/ghjgWebServiceTest/DigitalTwain/boat/GetBoatPanelInfo2',
      method: "post",
      data: {
        eventCode,
        type: 'HSX'
      },
  })
}

export function GetWaterLevel(startTime, endTime, deviceId='100768') {
  return request({
      url: 'https://10.83.240.193:8090/digitalTwain/ghjg/waterLevelData/getWaterLevel',
      method: "post",
      data: {
        startTime,
        endTime,
        deviceId
      },
  })
}

export function GetTideHeight(startTime, endTime) {
  return request({
      url: 'https://10.83.240.193:8090/digitalTwain/ghjg/waterLevelData/getTide',
      method: "post",
      data: {
        startTime,
        endTime
      },
  })
}